"use strict";
/**
 * Copyright (c) 2019-2021 Red Hat, Inc.
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Red Hat, Inc. - initial API and implementation
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const core_2 = require("@oclif/core");
const context_1 = require("../../context");
const flags_1 = require("../../flags");
const constants_1 = require("../../constants");
const eclipse_che_1 = require("../../tasks/installers/eclipse-che/eclipse-che");
const che_1 = require("../../utils/che");
class Status extends core_1.Command {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { flags } = yield this.parse(Status);
            yield context_1.CheCtlContext.init(flags, this);
            yield this.config.runHook(constants_1.DEFAULT_ANALYTIC_HOOK_NAME, { command: Status.id, flags });
            core_2.ux.log(`${eclipse_che_1.EclipseChe.PRODUCT_NAME} Version    : ${yield che_1.Che.getCheVersion()}`);
            core_2.ux.log(`${eclipse_che_1.EclipseChe.PRODUCT_NAME} Url        : ${che_1.Che.buildDashboardURL(yield che_1.Che.getCheURL(flags[flags_1.CHE_NAMESPACE_FLAG]))}`);
        });
    }
}
Status.description = `Status ${eclipse_che_1.EclipseChe.PRODUCT_NAME} server`;
Status.flags = {
    help: core_1.Flags.help({ char: 'h' }),
    [flags_1.CHE_NAMESPACE_FLAG]: flags_1.CHE_NAMESPACE,
    [flags_1.LISTR_RENDERER_FLAG]: flags_1.LISTR_RENDERER,
    [flags_1.TELEMETRY_FLAG]: flags_1.TELEMETRY,
};
exports.default = Status;
//# sourceMappingURL=status.js.map