"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ts = require("typescript");
var path = require("path");
var utils_1 = require("../utils");
function makeFormatCodeOptions(fileName, opts, formatSettings) {
    var baseDir = opts.baseDir ? path.resolve(opts.baseDir) : path.dirname(path.resolve(fileName));
    var configFileName;
    if (opts.tsconfigFile && path.isAbsolute(opts.tsconfigFile)) {
        configFileName = opts.tsconfigFile;
    }
    else {
        configFileName = utils_1.getConfigFileName(baseDir, opts.tsconfigFile || "tsconfig.json");
    }
    if (!configFileName) {
        return formatSettings;
    }
    if (opts.verbose) {
        console.log("read " + configFileName + " for " + fileName);
    }
    var parsed = utils_1.readTsconfig(configFileName);
    if (parsed.options.newLine === ts.NewLineKind.CarriageReturnLineFeed) {
        formatSettings.newLineCharacter = "\r\n";
    }
    else if (parsed.options.newLine === ts.NewLineKind.LineFeed) {
        formatSettings.newLineCharacter = "\n";
    }
    return formatSettings;
}
exports.makeFormatCodeOptions = makeFormatCodeOptions;
//# sourceMappingURL=tsconfigjson.js.map